- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class TStyle

    TComponent
       |
       --TStyle

#### Direct Known Sub-classes:

TTableStyle , TTableItemStyle , TWizardNavigationButtonStyle , TPanelStyle

TStyle class

TStyle encapsulates the CSS style applied to a control.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constructor Summary
public | __construct Array Constructor.

Method Summary
void | addAttributesToRender ( THtmlWriter $writer) Adds attributes related to CSS styles to renderer.
void | clearStyleField ( string $name) Clears a single style field value;
void | copyFrom ( TStyle $style) Copies the fields in a new style to this style.
string | getBackColor ()
string | getBorderColor ()
string | getBorderStyle ()
string | getBorderWidth ()
string | getCssClass ()
string | getCustomStyle ()
TDisplayStyle | getDisplayStyle ()
TFont | getFont ()
string | getForeColor ()
string | getHeight ()
string | getStyleField ( mixed $name)
array | getStyleFields ()
string | getWidth ()
boolean | hasCssClass ()
boolean | hasFont ()
boolean | hasStyleField ( mixed $name)
void | mergeWith ( TStyle $style) Merges the style with a new one.
void | reset () Resets the style to the original empty state.
void | setBackColor ( string $value)
void | setBorderColor ( string $value)
void | setBorderStyle ( string $value) Sets the border style of the control.
void | setBorderWidth ( string $value)
void | setCssClass ( string $value)
void | setCustomStyle ( string $value) Sets custom style fields from a string.
void | setDisplayStyle ( TDisplayStyle $value)
void | setForeColor ( string $value)
void | setHeight ( string $value)
void | setStyleField ( string $name, string $value) Sets a single style field value.
void | setWidth ( string $value)
void | __clone () Need to clone the font object.

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constructor Details

## __construct

public __construct | Array

Constructor.

Method Details

## addAttributesToRender

public void addAttributesToRender | (THtmlWriter $writer )

Adds attributes related to CSS styles to renderer.

Input
THtmlWriter | $writer | the writer used for the rendering purpose
Output
Exception

## clearStyleField

public void clearStyleField | (string $name )

Clears a single style field value;

Input
string | $name | style field name
Output
Exception

## copyFrom

public void copyFrom | (TStyle $style )

Copies the fields in a new style to this style.

If a style field is set in the new style, the corresponding field in this style will be overwritten.

Input
TStyle | $style | the new style
Output
Exception

## getBackColor

public string getBackColor | ()

Output
string | the background color of the control
Exception

## getBorderColor

public string getBorderColor | ()

Output
string | the border color of the control
Exception

## getBorderStyle

public string getBorderStyle | ()

Output
string | the border style of the control
Exception

## getBorderWidth

public string getBorderWidth | ()

Output
string | the border width of the control
Exception

## getCssClass

public string getCssClass | ()

Output
string | the CSS class of the control
Exception

## getCustomStyle

public string getCustomStyle | ()

Output
string | the custom style of the control
Exception

## getDisplayStyle

public TDisplayStyle getDisplayStyle | ()

Output
TDisplayStyle | display style
Exception

## getFont

public TFont getFont | ()

Output
TFont | the font of the control
Exception

## getForeColor

public string getForeColor | ()

Output
string | the foreground color of the control
Exception

## getHeight

public string getHeight | ()

Output
string | the height of the control
Exception

## getStyleField

public string getStyleField | (mixed $name )

Input
mixed | $name |
Output
string | a single style field value set via setStyleField. Defaults to empty string.
Exception

## getStyleFields

public array getStyleFields | ()

Output
array | list of style fields.
Exception

## getWidth

public string getWidth | ()

Output
string | the width of the control
Exception

## hasCssClass

public boolean hasCssClass | ()

Output
boolean | true if CSS is set or empty.
Exception

## hasFont

public boolean hasFont | ()

Output
boolean | true if font is set.
Exception

## hasStyleField

public boolean hasStyleField | (mixed $name )

Input
mixed | $name |
Output
boolean | whether a style field has been defined by setStyleField
Exception

## mergeWith

public void mergeWith | (TStyle $style )

Merges the style with a new one.

If a style field is not set in this style, it will be overwritten by the new one.

Input
TStyle | $style | the new style
Output
Exception

## reset

public void reset | ()

Resets the style to the original empty state.

Output
Exception

## setBackColor

public void setBackColor | (string $value )

Input
string | $value | the background color of the control
Output
Exception

## setBorderColor

public void setBorderColor | (string $value )

Input
string | $value | the border color of the control
Output
Exception

## setBorderStyle

public void setBorderStyle | (string $value )

Sets the border style of the control.

Input
string | $value | the border style of the control
Output
Exception

## setBorderWidth

public void setBorderWidth | (string $value )

Input
string | $value | the border width of the control
Output
Exception

## setCssClass

public void setCssClass | (string $value )

Input
string | $value | the name of the CSS class of the control
Output
Exception

## setCustomStyle

public void setCustomStyle | (string $value )

Sets custom style fields from a string.

Custom style fields will be overwritten by style fields explicitly defined.

Input
string | $value | the custom style of the control
Output
Exception

## setDisplayStyle

public void setDisplayStyle | (TDisplayStyle $value )

Input
TDisplayStyle | $value | control display style, default is TDisplayStyle::Fixed
Output
Exception

## setForeColor

public void setForeColor | (string $value )

Input
string | $value | the foreground color of the control
Output
Exception

## setHeight

public void setHeight | (string $value )

Input
string | $value | the height of the control
Output
Exception

## setStyleField

public void setStyleField | (string $name , string $value )

Sets a single style field value.

Style fields set by this method will overwrite those set by setCustomStyle.

Input
string | $name | style field name
string | $value | style field value
Output
Exception

## setWidth

public void setWidth | (string $value )

Input
string | $value | the width of the control
Output
Exception

## __clone

public void __clone | ()

Need to clone the font object.

Output
Exception